﻿using NodaTime;
namespace Drive.Commands.ItOps.Admin.Settings
{
    public class EditSalesGlobalSettingsCommand
    {
        public string? ContractConfirmationTermsAndConditions { get; set; }
        public int DefaultSalesChannelId { get; set; }
        public int AirmailSalesChannelId { get; set; }
        public IEnumerable<int> PlatformTypeIds { get; set; } = Enumerable.Empty<int>();
        public AvailsConstraints? AvailsConstraints { get; set; }
    }
    public class AvailsConstraints
    {
        public IEnumerable<int> PriorityIds { get; set; } = Enumerable.Empty<int>();
        public LocalTime StartTime { get; set; }
        public LocalTime EndTime { get; set; }
    }
}
